Returns a paginated list of active incidents for the status page identified by the custom domain.
cURL
curl --request GET \ --url https://{custom_domain}/api/v1/incidents.json
{ "page": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "url": "<string>", "time_zone": "<string>", "updated_at": "2023-11-07T05:31:56Z" }, "incidents": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "status": "investigating", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "monitoring_at": "2023-11-07T05:31:56Z", "resolved_at": "2023-11-07T05:31:56Z", "impact": "none", "shortlink": "<string>", "started_at": "2023-11-07T05:31:56Z", "page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "incident_updates": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>", "body": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "display_at": "2023-11-07T05:31:56Z", "custom_tweet": "<string>", "deliver_notifications": true, "tweet_id": "<string>" } ] } ], "pagination": { "page": 123, "per_page": 123, "total_count": 123, "total_pages": 123, "next_page": 123, "prev_page": 123 } }
Page number
Number of incidents per page (max 100)
incidents found
Show child attributes
Was this page helpful?